Subject: Re: OOPS, ip -f inet6 route get fec0::1, linux-2.6.26, ip6_route_output, rt6_fill_node+0x175

From: Eugene Teo <[email-masked]>
Date: Tue, 12 Aug 2008 08:41:27 +0800

Eugene Teo wrote:
> David Miller wrote:
>> From: Eugene Teo <[email-masked]>
>> Date: Mon, 11 Aug 2008 16:40:24 +0800
[...]
> With the patch I posted, this is the behaviour I get:
> 
> $ ip -f inet6 route get fec0::1
> unreachable fec0::1 dev lo  table unspec  proto none  src
> fe80::214:4fff:fe0f:7332  metric -1  error -101 hoplimit 255

Ok, so there's a mistake in my patch. It should return the loopback MAC
address instead. I'm wondering if the fix should be related to
initialising rt6i_idev in addrconf_init routine like in the upstream
commit: c62dba9011b93fd88fde929848582b2a98309878. The code changed quite
a lot.

Eugene